2 Replies Latest reply on Aug 30, 2016 10:52 AM by fixoon

    I can't install newer drivers than 15.301.1901.0

    fixoon

      I'm trying to upgrade the drivers for my 6870 so I can play Battlefield 1 but I can't. I downloaded the latest beta from the website but when I install it I still have 15.301.1901.0. I tried updating via the AMD program that comes with drivers but I still get 15.301.1901.0. Even when I download 16.2.1 and try to install it says I'm going to install the same version I have which is 15.301.1901.0. Why doesn't it work?

       

      GPU: AMD Radeon HD6870

      OS: Windows 10 Aniversary Update (64 bit)